= content_for :title do
  / page title (h2)
  / BEGIN
  = t('.title')
  / END

table.table.table-striped.table-hover.mb-5
  thead
    tr
      th{ scope: :col } #
      th{ scope: :col }
        / table title
        / BEGIN
        = t('.table_title')
        / END
      th
      th

  tbody
    - @posts.each_with_index do |post, i|
      tr
        th{ scope: :col } = i + 1
        td = post.title
        td
          / comments count
          / BEGIN
          = t('.count', count: post.comments.length)
          / END
        td.d-flex
          / posts links
          / BEGIN
          = link_to t('show'), post, class: 'btn btn-outline-primary me-2'
          = link_to t('edit'), edit_post_path(post), class: 'btn btn-outline-primary me-2'
          = link_to t('destroy'), post_path(post), method: :delete, data: { confirm: t('destroy_confirmation') }, class: 'btn btn-outline-primary'
          / END

/ new post link
= link_to new_post_path, id: 'new-post-link', class: 'btn btn-primary' do
  / BEGIN
  = t('.new_post')
  / END
